Page MenuHomePhabricator

Update PageTriage speedy deletion tag list to match Twinkle's
Closed, ResolvedPublic3 Story Points

Description

It has been requested that the CSD tags in PageTriage be updated to match those of the Twinkle gadget.

  • A1: No context. Articles lacking sufficient context to identify the subject of the article.
  • A2: Foreign language articles that exist on another Wikimedia project
  • A3: No content whatsoever
  • A5: Transwikied articles
  • A7: Unremarkable person
  • A7: Unremarkable musician(s) or band
  • A7: Unremarkable club
  • A7: Unremarkable company or organization
  • A7: Unremarkable website or web content
  • A7: Unremarkable individual animal
  • A7: Unremarkable organized event
  • A9: Unremarkable musical recording where artist's article doesn't exist
  • A10: Recently created article that duplicates an existing topic
  • A11: Obviously made up by creator, and no claim of significance General criteria Custom rationale (custom deletion reason)
  • G1: Patent nonsense. Pages consisting purely of incoherent text or gibberish with no meaningful content or history.
  • G2: Test page
  • G3: Pure vandalism
  • G3: Blatant hoax
  • G4: Recreation of material deleted via a deletion discussion
  • G5: Banned or blocked user
  • G6: History merge
  • G6: Move
  • G6: XfD
  • G6: Unnecessary disambiguation page
  • G6: Copy-and-paste page move
  • G6: Housekeeping
  • G7: Author requests deletion, or author blanked
  • G8: Pages dependent on a non-existent or deleted page
  • G8: Subpages with no parent page
  • G10: Attack page
  • G10: Wholly negative, unsourced BLP
  • G11: Unambiguous advertising
  • G12: Unambiguous copyright infringement
  • G13: Old, abandoned Articles for Creation submissions

Event Timeline

kaldari created this task.Nov 14 2016, 2:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2016, 2:05 AM
JJMC89 added a subscriber: JJMC89.Nov 14 2016, 2:12 AM
TTO added a subscriber: TTO.Nov 14 2016, 6:13 AM

Some of these are not relevant for new page patrollers: G6 move, G6 XfD, G6 history merge, G8 (both) and G13. As someone who hasn't used PageTriage much, I don't know whether PageTriage aims to be all-encompassing or just to include speedy deletion criteria that apply to new pages.

kaldari added a comment.EditedNov 19 2016, 1:40 AM

Some of these are not relevant for new page patrollers: G6 move, G6 XfD, G6 history merge, G8 (both) and G13. As someone who hasn't used PageTriage much, I don't know whether PageTriage aims to be all-encompassing or just to include speedy deletion criteria that apply to new pages.

Just speedy deletion criteria that apply to new pages. I've updated the list.

kaldari updated the task description. (Show Details)Nov 19 2016, 1:45 AM

FYI, this could either be implemented in the extension itself or on-wiki at https://en.wikipedia.org/wiki/MediaWiki:PageTriageExternalDeletionTagsOptions.js.

kaldari triaged this task as Medium priority.Nov 21 2016, 5:51 AM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari set the point value for this task to 2.
Kudpung added a subscriber: Kudpung.EditedNov 21 2016, 9:56 AM

G6 move, G6 XfD, G6 history merge, G8 (both) and G13: These are all relevant because the admins who still need to patrol the work of the patrollers will effect these jobs when they come across the need (there should be a 'Curate this page' link showing in the side bar for cases where the Curation tool no longer automatically loads, as in the case of previously patrolled pages)..

The whole object of having created Page Curation was to offer the community something better than Twinkle in order to get all patrollers applying the same criteria and levels of judgement, and without having to keep swapping back and forth between Page Curation and Twinkle.

If we are to make best use of the newly created New Page Reviewer user group, we should set a higher priority for these tweaks - and a few more to come.

kaldari updated the task description. (Show Details)Nov 30 2016, 1:40 AM

@Kudpung, @TTO: I've restored the entire list on this ticket per Kudpung. Feel free to discuss further.

We'll probably want to make some of these conditional based on namespace (and more closely match how Twinkle works).

kaldari changed the point value for this task from 2 to 3.Dec 6 2016, 6:14 PM

I've attempted to write some documentation for the structure of the on-wiki configuration pages: https://www.mediawiki.org/wiki/Extension:PageTriage#On-wiki_configuration

For the missing A7 criteria in particular I've put some code up on the talk page referenced above that adds these criteria (with the words copied from Twinkle). @Kudpung are you able to add this to https://en.wikipedia.org/wiki/MediaWiki:PageTriageExternalDeletionTagsOptions.js ?

@kaldari: the current configuration makes it easy to add configuration for adding deletion templates to only Main or only User pages, but other namespaces would require the conditional code to be in the configuration JS itself. (I might be wrong in that, I'm still getting my head around the code.) It seems to me that it'd be better to modify the extension to support an extra configuration parameter that lists the namespaces a template does (or doesn't?) apply to.

I'm assuming that there's a longer-term plan in place to make PageTriage wiki-agnostic? If so, then generalising the namespaces thing would make sense as part of that work. (As well as things like not requiring any particular tags to be present in the configuration.)

@Samwilson: Unlike Twinkle, PageTriage is only designed to facilitate new page patrolling, which primarily focuses on Main namespace, and to a lesser degree User namespace. It doesn't support other namespaces at all. If there are deletion templates that don't apply to Main or User namespace, we should not add them to PageTriage.

The idea is to eventually make PageTriage wiki-agnostic, although for the deletion templates, it currently isn't. This isn't an immediate priority though or something we (the Community Tech team) are likely to work on.

@kaldari Okay, that makes sense.

The deletion reasons that are currently in Twinkle but not in PageTriage are as follows:

  • A5: Transwikied articles
  • A7: Unremarkable person
  • A7: Unremarkable musician(s) or band
  • A7: Unremarkable club
  • A7: Unremarkable company or organization
  • A7: Unremarkable website or web content
  • A7: Unremarkable individual animal
  • A7: Unremarkable organized event
  • A11: Obviously made up by creator, and no claim of significance General criteria Custom rationale (custom deletion reason)
  • G6: History merge
  • G6: Move
  • G6: XfD
  • G6: Unnecessary disambiguation page
  • G6: Copy-and-paste page move
  • G6: Housekeeping
  • G8: Pages dependent on a non-existent or deleted page
  • G8: Subpages with no parent page
  • G10: Wholly negative, unsourced BLP
  • G13: Old, abandoned Articles for Creation submissions

and I'm adding the required JS for these to the talk page of https://en.wikipedia.org/wiki/MediaWiki:PageTriageExternalDeletionTagsOptions.js — pending an admin adding it to the actual page.

If I knew how to add the js I would use my admin access a nd do it immediately. However, I am not a programmer, so I wouldn't have a clue about adding js or any other scripts to any part of Wikipedia or MediaWiki. My role is one of facilitator who from a hands-on aspect recognises the needs for quality control of our encyclopedic content, how it is best done using what we already have (and which can be improved upon), and helping the community to do it best. In that respect, Twinkle is of little actual use for the specific purpose of New Page Reviewing and provides no support for new users or even the reviewers. It doesn't even have a log system which makes it possible to monitor the performance of accredited patrollers. Twinkle's main job is for page protection, user welcomes, warnings and blocks, etc.

We don't strictly need the following because they are tags that are generally applied to older articles for other reasons than simply being new (one of the complaints about Twinkle is that its lists are cluttered).:

  • A5: Transwikied articles
  • G6: History merge
  • G6: Move
  • G6: XfD
  • G6: Unnecessary disambiguation page
  • G6: Copy-and-paste page move
  • G6: Housekeeping
  • G8: Pages dependent on a non-existent or deleted page
  • G8: Subpages with no parent page
  • G13: Old, abandoned Articles for Creation submissions

What we do need is the 'CSD declined' feature, and the new 'Move to draft' feature

TTO added a comment.Dec 16 2016, 6:53 AM

G6 move, G6 XfD, G6 history merge, G8 (both) and G13: These are all relevant because the admins who still need to patrol the work of the patrollers will effect these jobs when they come across the need (there should be a 'Curate this page' link showing in the side bar for cases where the Curation tool no longer automatically loads, as in the case of previously patrolled pages)..

We don't strictly need the following because they are tags that are generally applied to older articles for other reasons than simply being new (one of the complaints about Twinkle is that its lists are cluttered).:

I'm confused now...

Thanks @Kudpung, that's great info. So the specific deletion reasons that are still missing from PageTriage are the following?

  • A7: Unremarkable person
  • A7: Unremarkable musician(s) or band
  • A7: Unremarkable club
  • A7: Unremarkable company or organization
  • A7: Unremarkable website or web content
  • A7: Unremarkable individual animal
  • A7: Unremarkable organized event
  • A11: Obviously made up by creator, and no claim of significance General criteria Custom rationale (custom deletion reason)
  • G6: Unnecessary disambiguation page
  • G10: Wholly negative, unsourced BLP

I'm not an admin on English Wikipedia, so can't edit the page myself. The code below needs to be added to MediaWiki:PageTriageExternalDeletionTagsOptions.js; would you be able to do that? It's just a matter of copying and pasting. Sorry I can't jump in and do it myself. :-) I'm on IRC if you want to chat.

1$.pageTriageDeletionTagsOptions.Main.proposeddeletion.tags.prod.tag = 'subst:prod';
2
3$.pageTriageDeletionTagsOptions.Main.proposeddeletion.tags.blpprod.tag = 'subst:blp-prod';
4
5$.pageTriageDeletionTagsOptions.Main.speedydeletioncommon.desc = "Mark this page for speedy deletion only if it fits exactly one of the criteria below. There is no catch-all — if it doesn’t fit, use PROD or AfD.";
6
7// Redefine all speedy-deletion tags in order to add new ones in their correct order.
8$.pageTriageDeletionTagsOptions.Main.speedydeletioncommon.tags = {
9 "dba1": {
10 "label": "No context",
11 "tag": "speedy deletion-no context",
12 "code": "A1",
13 "desc": "Articles lacking sufficient context to identify the subject of the article. (A1)",
14 "params": {},
15 "anchor": "nocontext",
16 "talkpagenotiftpl": "Empty-warn-NPF"
17 },
18 "dba2": {
19 "label": "Foreign language articles that exist on another Wikimedia project",
20 "tag": "speedy deletion-foreign language",
21 "code": "A2",
22 "desc": "Articles having essentially the same content as an article on another Wikimedia project. (A2)",
23 "params": {
24 "source": {
25 "label": "Please add a URL for that source:",
26 "input": "required",
27 "type": "text",
28 "value": ""
29 }
30 },
31 "anchor": "notenglish",
32 "talkpagenotiftpl": "Db-foreign-notice-NPF"
33 },
34 "dba3": {
35 "label": "No content",
36 "tag": "speedy deletion-no content",
37 "code": "A3",
38 "desc": "Any article (other than disambiguation pages, redirects, or soft redirects) consisting only of external links, category tags and \"see also\" sections, a rephrasing of the title, attempts to correspond with the person or group named by its title, a question that should have been asked at the help or reference desks, chat-like comments, template tags, and/or images. (A3)",
39 "params": {},
40 "anchor": "nocontent",
41 "talkpagenotiftpl": "Nocontent-warn-NPF"
42 },
43 "dba7_person": {
44 "label": "Unremarkable person",
45 "tag": "db-person",
46 "code": "A7",
47 "desc": "An article about a real person that does not assert the importance or significance of its subject. If controversial, or if there has been a previous AfD that resulted in the article being kept, the article should be nominated for AfD instead. (A7)",
48 "params": {},
49 "anchor": "importance",
50 "talkpagenotiftpl": "Db-notability-notice-NPF"
51 },
52 "dba7_band": {
53 "label": "Unremarkable musician(s) or band",
54 "tag": "db-band",
55 "code": "A7",
56 "desc": "Article about a band, singer, musician, or musical ensemble that does not assert the importance or significance of the subject. (A7)",
57 "params": {},
58 "anchor": "importance",
59 "talkpagenotiftpl": "Db-notability-notice-NPF"
60 },
61 "dba7_club": {
62 "label": "Unremarkable club",
63 "tag": "db-club",
64 "code": "A7",
65 "desc": "Article about a club that does not assert the importance or significance of the subject. (A7)",
66 "params": {},
67 "anchor": "importance",
68 "talkpagenotiftpl": "Db-notability-notice-NPF"
69 },
70 "dba7_corp": {
71 "label": "Unremarkable company or organization",
72 "tag": "db-corp",
73 "code": "A7",
74 "desc": "Article about a company or organization that does not assert the importance or significance of the subject. (A7)",
75 "params": {},
76 "anchor": "importance",
77 "talkpagenotiftpl": "Db-notability-notice-NPF"
78 },
79 "dba7_web": {
80 "label": "Unremarkable website or web content",
81 "tag": "db-web",
82 "code": "A7",
83 "desc": "Article about a web site, blog, online forum, webcomic, podcast, or similar web content that does not assert the importance or significance of its subject. (A7)",
84 "params": {},
85 "anchor": "importance",
86 "talkpagenotiftpl": "Db-notability-notice-NPF"
87 },
88 "dba7_animal": {
89 "label": "Unremarkable individual animal",
90 "tag": "db-animal",
91 "code": "A7",
92 "desc": "Article about an individual animal (e.g. pet) that does not assert the importance or significance of its subject. (A7)",
93 "params": {},
94 "anchor": "importance",
95 "talkpagenotiftpl": "Db-notability-notice-NPF"
96 },
97 "dba7_event": {
98 "label": "Unremarkable organized event",
99 "tag": "db-event",
100 "code": "A7",
101 "desc": "Article about an organized event (tour, function, meeting, party, etc.) that does not assert the importance or significance of its subject. (A7)",
102 "params": {},
103 "anchor": "importance",
104 "talkpagenotiftpl": "Db-notability-notice-NPF"
105 },
106 "dba9": {
107 "label": "No indication of importance (musical recordings)",
108 "tag": "speedy deletion-musical recording",
109 "code": "A9",
110 "desc": "An article about a musical recording that does not indicate why its subject is important or significant and where the artist's article does not exist (both conditions must be true). (A9)",
111 "params": {},
112 "anchor": "music",
113 "talkpagenotiftpl": "Db-a9-notice-NPF"
114 },
115 "dba10": {
116 "label": "Recently created article that duplicates an existing topic",
117 "tag": "speedy deletion-duplicate article",
118 "code": "A10",
119 "desc": "A recently created article with no relevant page history that duplicates an existing English Wikipedia topic, and that does not expand upon, detail or improve information within any existing article(s) on the subject, and where the title is not a plausible redirect. (A10)",
120 "params": {
121 "article": {
122 "label": "Article:",
123 "input": "required",
124 "type": "text",
125 "value": ""
126 }
127 },
128 "anchor": "duplicate",
129 "talkpagenotiftpl": "Db-a10-notice-NPF"
130 },
131 "dba11": {
132 "label": "Obviously made up by creator, and no claim of significance",
133 "tag": "db-hoax",
134 "code": "A11",
135 "desc": "An article which plainly indicates that the subject was invented/coined/discovered by the article's creator or someone they know personally, and does not credibly indicate why its subject is important or significant. (A11)",
136 "params": {},
137 "anchor": "",
138 "talkpagenotiftpl": "Db-vandalism-notice"
139 },
140 "dbg1": {
141 "label": "Patent nonsense",
142 "tag": "speedy deletion-nonsense",
143 "code": "G1",
144 "desc": "A page that is patent nonsense, consisting purely of incoherent text or gibberish with no meaningful content or history. (G1)",
145 "params": {},
146 "anchor": "nonsense",
147 "talkpagenotiftpl": "Db-nonsense-notice-NPF"
148 },
149 "dbg2": {
150 "label": "Test pages",
151 "tag": "speedy deletion-test page",
152 "code": "G2",
153 "desc": "A page created to test editing or other Wikipedia functions. (G2)",
154 "params": {},
155 "anchor": "test",
156 "talkpagenotiftpl": "Db-test-notice-NPF"
157 },
158 "dbg3_vandalism": {
159 "label": "Pure vandalism",
160 "tag": "speedy deletion-vandalism",
161 "code": "G3",
162 "desc": "Plain pure vandalism including redirects left behind by page move vandalism. (G3)",
163 "params": {},
164 "anchor": "vandalism",
165 "talkpagenotiftpl": "Db-vandalism-notice-NPF"
166 },
167 "dbg3_hoax": {
168 "label": "Blatant hoax",
169 "tag": "speedy deletion-vandalism",
170 "code": "G3",
171 "desc": "Blatant and obvious misinformation to the point of vandalism. (G3)",
172 "params": {},
173 "anchor": "vandalism",
174 "talkpagenotiftpl": "Db-vandalism-notice-NPF"
175 },
176 "dbg4": {
177 "label": "Recreation of a page that was deleted per a deletion discussion",
178 "tag": "speedy deletion-previously deleted",
179 "code": "G4",
180 "desc": "A sufficiently identical and unimproved copy, having any title, of a page deleted via its most recent deletion discussion. (G4)",
181 "params": {
182 "1": {
183 "label": "Please add a URL for that source.",
184 "input": "required",
185 "type": "text",
186 "value": ""
187 }
188 },
189 "anchor": "repost",
190 "talkpagenotiftpl": "Uw-repost-NPF"
191 },
192 "dbg5": {
193 "label": "Creations by banned or blocked users",
194 "tag": "speedy deletion-blocked user",
195 "code": "G5",
196 "desc": "Pages created by banned or blocked users in violation of their ban or block, and which have no substantial edits by others. (G5)",
197 "params": {},
198 "anchor": "banned",
199 "talkpagenotiftpl": "Db-banned-notice-NPF"
200 },
201 "dbg6": {
202 "label": "Unnecessary disambiguation page",
203 "tag": "db-disambig",
204 "code": "G6",
205 "desc": "This only applies for orphaned disambiguation pages which either: (1) disambiguate two or fewer existing Wikipedia pages and whose title ends in \"(disambiguation)\" (i.e., there is a primary topic); or (2) disambiguates no (zero) existing Wikipedia pages, regardless of its title. (G6)",
206 "params": {},
207 "anchor": "",
208 "talkpagenotiftpl": "Db-disambig-notice-NPF"
209 },
210 "dbg7": {
211 "label": "Author requests deletion",
212 "tag": "speedy deletion-author request",
213 "code": "G7",
214 "desc": "Pages where the author has requested deletion, either explicitly or by blanking the page. (G7)",
215 "params": {},
216 "anchor": "blanked",
217 "talkpagenotiftpl": "Db-author-notice-NPF"
218 },
219 "dbg10_attack": {
220 "label": "Attack pages",
221 "tag": "speedy deletion-attack",
222 "code": "G10",
223 "desc": "Pages that disparage, threaten, intimidate or harass their subject or some other entity, and serve no other purpose. (G10)",
224 "params": {},
225 "anchor": "attack",
226 "talkpagenotiftpl": "Db-attack-notice-NPF"
227 },
228 "dbg10_negublp": {
229 "label": "Wholly negative, unsourced BLP",
230 "tag": "db-negublp",
231 "code": "G10",
232 "desc": "A biography of a living person that is entirely negative in tone and unsourced, where there is no neutral version in the history to revert to. (G10)",
233 "params": {},
234 "anchor": "",
235 "talkpagenotiftpl": "db-negublp-notice"
236 },
237 "dbg11": {
238 "label": "Unambiguous advertising or promotion",
239 "tag": "speedy deletion-advertising",
240 "code": "G11",
241 "desc": "Pages that are exclusively promotional, and would need to be fundamentally rewritten to become encyclopedic. (G11)",
242 "params": {},
243 "anchor": "spam",
244 "talkpagenotiftpl": "Spam-warn-NPF"
245 },
246 "dbg12": {
247 "label": "Unambiguous copyright infringement",
248 "tag": "speedy deletion-copyright violation",
249 "code": "G12",
250 "desc": "Text pages that contain copyrighted material with no credible assertion of public domain, fair use, or a compatible free license, where there is no non-infringing content on the page worth saving. (G12)",
251 "params": {
252 "url": {
253 "label": "Please add a URL for that source.",
254 "input": "required",
255 "type": "text",
256 "value": ""
257 }
258 },
259 "anchor": "copyvio",
260 "talkpagenotiftpl": "Nothanks-sd-NPF"
261 }
262};

What we do need is the 'CSD declined' feature, and the new 'Move to draft' feature

See T124396: Allow moving to draftspace and tagging accordingly for the latter, and I can't find an existing ticket for the CSD declined — do you know if there is one? I think it's a separate feature to this current ticket?

That'a lot of js. I'd be scared I'd break the Wiki. How do I get on to IRC?

That'a lot of js. I'd be scared I'd break the Wiki. How do I get on to IRC?

https://en.wikipedia.org/wiki/Wikipedia:IRC/Tutorial

Join #wikimedia-commtech once on IRC.

I'm on IRC now, but Samwilson is not there.

I’m on IRC now but Samwilson is nit there.

Kudpung

@Kudpung what channel are you in? Come and join #wikimedia-commtech (by typing /join #wikimedia-commtech).

@kaldari: would you mind looking over the above code and if you're happy with it, paste it into the en.wp page?

Ok I've synced https://en.wikipedia.org/w/index.php?title=MediaWiki:PageTriageExternalDeletionTagsOptions.js&diff=755211551&oldid=506788360

I did a quick test and it worked as expected, but I did not go through all the criterion. I'm sure we'll hear about it if something is off.

Thanks @MusikAnimal!

@Kudpung does it look okay to you?

Sunday morning now. I'll check it out immediately after breakfast.

They seem to be working as expected but the order of the items on the list needs to be rearranged, and perhaps the generic A&entry shuld be removed.
Also (I don't know if these need to be filed as new Phab requests):

  • users have requested that the font size of the 'This article is only X minutes old' alert should be larger, and/or bold, or even in bold red.
  • The entire window of the Page Curation fly-out could do with being bigger - like the Twinkle pane. This would also reveal the box to enter the additional criteria to be entered for some of the features.
  • The window should be free floating once opened - currently it can only be moved up and down to reveal page parts behind it.

Iwill shortly post the list of criteria in the order in which they should apear in the Creation tool. Also, some of heir descriptions wil have been edited for brevity and less clutter - it is assumed that editors using the tool have read and understood the tutorial, so repeating everything should not be necessary.

Kudpung added a comment.EditedDec 18 2016, 9:53 AM

This is the list in the order it appears in Twinkle (less the ones that were deliberately left out). I realise this makes a bit more work for someone - my bad, I have been doing NPP for 10 years and I forgot that this is not all evident to everyone. The tooltips are for mouseover as in Twinkle.

Mark this page for speedy deletion only if it fits exactly one of the criteria below. There is no catch-all - if it doesn’t fit, use PROD or AfD.

A1: No context
Tooltip: Articles lacking sufficient context to identify the subject of the article.

A2: Foreign language article that exists on another Wikimedia project
Tooltip: Articles having essentially the same content as an article on another Wikimedia project.

A3: No content
Tooltip: Any article (other than disambiguation pages, redirects, or soft redirects) consisting only of external links, category tags and "see also" sections, a rephrasing of the title, chat-like comments, template tags, and/or images.

A7: Unremarkable person
Tooltip: An article about a real person that does not assert the importance or significance of its subject.

A7: Unremarkable musician(s) or band
Tooltip: Article about a band, singer, musician, or musical ensemble that does not assert the importance or significance of the subject.

A7: Unremarkable club
Tooltip: Article about a club that does not assert the importance or significance of the subject.

A7: Unremarkable company or organization. Does NOT apply to schools or educational establishments.
Tooltip: Article about a company or organization that does not assert the importance or significance of the subject.

A7: Unremarkable website or web content
Tooltip: Blog, online forum, webcomic, podcast, or similar web content that does not assert the importance or significance of its subject.

A7: Unremarkable individual animal
Tooltip: Article about an individual animal (e.g. pet) that does not assert the importance or significance of its subject.

A7: Unremarkable organized event
Tooltip: Article about an organized event (tour, function, meeting, party, etc.) that does not assert the importance or significance of its subject.

A9: Unremarkable musical recording
Tooltip: A musical recording without indication of importance or significance AND where the artist's article does not exist.

A10: Recently created article that duplicates an existing topic
Tooltip: Exists already in English Wikipedia , and does not expand upon any existing article(s) on the subject, and where the title is not a plausible redirect.

A11: Obviously made up
Tooltip: Clearly invented/coined/discovered by the article's creator or someone they know personally, and does not credibly indicate why its subject is important or significant.

G1: Patent nonsense - NOT for non-English pages.
Tooltip: Completely Incoherent text, gibberish, or random typed characters.

G2: Test page
Tooltip: A page created to test editing or other Wikipedia functions.

G3: Vandalism
Tooltip: Plain pure vandalism including redirects left behind by page move vandalism

G3: Blatant hoax
Tooltip: Blatant and obvious misinformation to the point of vandalism.

G4: Recreation of a page that was deleted at AfD
Tooltip: Sufficiently similar and unimproved copy, having any title, of a page deleted via its most recent deletion discussion.

G5: Creations by banned or blocked users
Tooltip: Pages created by banned or blocked users in violation of their ban or block, and which have no substantial edits by others.

G6: Unnecessary disambiguation page
Tooltip: Page disambiguates only two Wikipedia pages or no existing pages, regardless of its title.

G7: Author requests deletion
Tooltip: Pages where the author has requested deletion, either explicitly or by blanking the page.

G10: Attack pages
Tooltip: Pages that disparage, threaten, intimidate or harass their subject or some other entity, and serve no other purpose.

G10: Wholly negative, unsourced BLP
Tooltip: Entirely negative in tone and unsourced; no neutral version in the history to revert to.

G11: Unambiguous advertising or promotion
Tooltip: Exclusively promotional, needing to be fundamentally rewritten to become encyclopedic.

G12: Unambiguous copyright infringement
Tooltip: Copyrighted text or material with no credible assertion of public domain, fair use, or a compatible free license, where there is no non-infringing content on the page worth saving. Text lifted from web sites, books, PDFs, etc.

Thanks @Kudpung! I've updated P4632 to define all tags (not just the new ones); this means they can go in the correct order.

The Unnecessary disambiguation page (G6) item (to insert db-disambig) doesn't have a talk-page notification template; is this correct?

Also (I don't know if these need to be filed as new Phab requests):

  • users have requested that the font size of the 'This article is only X minutes old' alert should be larger, and/or bold, or even in bold red.
  • The entire window of the Page Curation fly-out could do with being bigger - like the Twinkle pane. This would also reveal the box to enter the additional criteria to be entered for some of the features.
  • The window should be free floating once opened - currently it can only be moved up and down to reveal page parts behind it.

Oh and yes, I think these should be separate tasks.

  • The window should be free floating once opened - currently it can only be moved up and down to reveal page parts behind it.

@Kudpung: You should be able to drag the window anywhere you want. Can you double check this? If it isn't working for you, please file a new ticket for that and be sure to put what browser you are using.

I don't think CommTech is going to be able to work on the new requests, but it will be good to have them in Phabricator.

@Samwilson: I created a new template for the disambiguation warning and added it to the code: https://en.wikipedia.org/wiki/Template:Db-disambig-notice-NPF.

kaldari closed this task as Resolved.Dec 19 2016, 9:56 PM

I put the new tag code in place on English Wikipedia. Should go live as soon as the RL cache clears.

I don't think CommTech is going to be able to work on the new requests, but it will be good to have them in Phabricator.

This is only the beginning of a few necessary tweaks to Page Curation . So if 'CommTech' can't, where is the other venue to request them to be done by another department?

Thanks @Kudpung! I've updated P4632 to define all tags (not just the new ones); this means they can go in the correct order.
The Unnecessary disambiguation page (G6) item (to insert db-disambig) doesn't have a talk-page notification template; is this correct?

Not that I know of. Is it possible, in order to reduce clutter , to provide those descriptions as mouseover tooltips?

Thanks @Kudpung! I've updated P4632 to define all tags (not just the new ones); this means they can go in the correct order.
The Unnecessary disambiguation page (G6) item (to insert db-disambig) doesn't have a talk-page notification template; is this correct?

Not that I know of. Is it possible, in order to reduce clutter , to provide those descriptions as mouseover tooltips?

FYI, I've nominated the Db-inc and Db-club CSD templates to be merged (since they are both about non-notable organizations): https://en.wikipedia.org/wiki/Wikipedia:Templates_for_discussion/Log/2016_December_19#Template:Db-inc.

This is only the beginning of a few necessary tweaks to Page Curation . So if 'CommTech' can't, where is the other venue to request them to be done by another department?

@Kudpung: This is the correct venue (regardless of which team will work on it). Do you want to create the tickets for the additional requests or would you prefer that one of us create them for you (since I know Phabricator isn't the most intuitive software to use)?

Not that I know of. Is it possible, in order to reduce clutter , to provide those descriptions as mouseover tooltips?

This will also need to be filed as a separate ticket.

This doesn't look like HTML, but if someone will give me a line of code of whatever code it is, as this is an admin-accessible script I'll add it myself to all the portions of the script for each CSD criteria. If no body wants to do it here, please put it on my en.Wiki talk page. I have a newsletter waiting to go out to reviewers.

@Kudpung: It's not HTML, it's just a set of configuration values that are processed by the code for PageTriage. Adding support for tooltips will require significant software changes within the PageTriage extension. Also, I don't think it's a good idea personally. I think it would be much better to shorten the descriptions rather than hiding them behind tooltips.

OK. So I can edit the texts in the js for less clutter? Is is posible to put Wikilinks in those texts, like for example back to the policy pages? Or doesn't that work either outside the Pagetriage extension?

DannyH added a subscriber: DannyH.Dec 20 2016, 9:35 PM

@Kudpung: Currently, it is not possible to add links in the descriptions. The descriptions are just treated as raw text and are not parsed for HTML or WikiText.

OK. So I can edit the texts in the js for less clutter?

Yes, as an administrator, you are able to edit the texts. Just make sure you retain the quotation marks around them or it will cause a syntax error.